Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.ListActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ListActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.ListActions extends Object
From BasicListUI.Actions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD_TO_SELECTION`
`static final String`
`CLEAR_SELECTION`
`static final String`
`EXTEND_TO`
`static final String`
`MOVE_SELECTION_TO`
`static final String`
`SCROLL_DOWN`
`static final String`
`SCROLL_DOWN_CHANGE_LEAD`
`static final String`
`SCROLL_DOWN_EXTEND`
`static final String`
`SCROLL_UP`
`static final String`
`SCROLL_UP_CHANGE_LEAD`
`static final String`
`SCROLL_UP_EXTEND`
`static final String`
`SELECT_ALL`
`static final String`
`SELECT_FIRST_ROW`
`static final String`
`SELECT_FIRST_ROW_CHANGE_LEAD`
`static final String`
`SELECT_FIRST_ROW_EXTEND`
`static final String`
`SELECT_LAST_ROW`
`static final String`
`SELECT_LAST_ROW_CHANGE_LEAD`
`static final String`
`SELECT_LAST_ROW_EXTEND`
`static final String`
`SELECT_NEXT_COLUMN`
`static final String`
`SELECT_NEXT_COLUMN_CHANGE_LEAD`
`static final String`
`SELECT_NEXT_COLUMN_EXTEND`
`static final String`
`SELECT_NEXT_ROW`
`static final String`
`SELECT_NEXT_ROW_CHANGE_LEAD`
`static final String`
`SELECT_NEXT_ROW_EXTEND`
`static final String`
`SELECT_PREVIOUS_COLUMN`
`static final String`
`SELECT_PREVIOUS_COLUMN_CHANGE_LEAD`
`static final String`
`SELECT_PREVIOUS_COLUMN_EXTEND`
`static final String`
`SELECT_PREVIOUS_ROW`
`static final String`
`SELECT_PREVIOUS_ROW_CHANGE_LEAD`
`static final String`
`SELECT_PREVIOUS_ROW_EXTEND`
`static final String`
`TOGGLE_AND_ANCHOR`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ListActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SELECT_PREVIOUS_COLUMN

public static final String SELECT_PREVIOUS_COLUMN

See Also:
  - Constant Field Values

### SELECT_PREVIOUS_COLUMN_EXTEND

public static final String SELECT_PREVIOUS_COLUMN_EXTEND

See Also:
  - Constant Field Values

### SELECT_PREVIOUS_COLUMN_CHANGE_LEAD

public static final String SELECT_PREVIOUS_COLUMN_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_NEXT_COLUMN

public static final String SELECT_NEXT_COLUMN

See Also:
  - Constant Field Values

### SELECT_NEXT_COLUMN_EXTEND

public static final String SELECT_NEXT_COLUMN_EXTEND

See Also:
  - Constant Field Values

### SELECT_NEXT_COLUMN_CHANGE_LEAD

public static final String SELECT_NEXT_COLUMN_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_PREVIOUS_ROW

public static final String SELECT_PREVIOUS_ROW

See Also:
  - Constant Field Values

### SELECT_PREVIOUS_ROW_EXTEND

public static final String SELECT_PREVIOUS_ROW_EXTEND

See Also:
  - Constant Field Values

### SELECT_PREVIOUS_ROW_CHANGE_LEAD

public static final String SELECT_PREVIOUS_ROW_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_NEXT_ROW

public static final String SELECT_NEXT_ROW

See Also:
  - Constant Field Values

### SELECT_NEXT_ROW_EXTEND

public static final String SELECT_NEXT_ROW_EXTEND

See Also:
  - Constant Field Values

### SELECT_NEXT_ROW_CHANGE_LEAD

public static final String SELECT_NEXT_ROW_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_FIRST_ROW

public static final String SELECT_FIRST_ROW

See Also:
  - Constant Field Values

### SELECT_FIRST_ROW_EXTEND

public static final String SELECT_FIRST_ROW_EXTEND

See Also:
  - Constant Field Values

### SELECT_FIRST_ROW_CHANGE_LEAD

public static final String SELECT_FIRST_ROW_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_LAST_ROW

public static final String SELECT_LAST_ROW

See Also:
  - Constant Field Values

### SELECT_LAST_ROW_EXTEND

public static final String SELECT_LAST_ROW_EXTEND

See Also:
  - Constant Field Values

### SELECT_LAST_ROW_CHANGE_LEAD

public static final String SELECT_LAST_ROW_CHANGE_LEAD

See Also:
  - Constant Field Values

### SCROLL_UP

public static final String SCROLL_UP

See Also:
  - Constant Field Values

### SCROLL_UP_EXTEND

public static final String SCROLL_UP_EXTEND

See Also:
  - Constant Field Values

### SCROLL_UP_CHANGE_LEAD

public static final String SCROLL_UP_CHANGE_LEAD

See Also:
  - Constant Field Values

### SCROLL_DOWN

public static final String SCROLL_DOWN

See Also:
  - Constant Field Values

### SCROLL_DOWN_EXTEND

public static final String SCROLL_DOWN_EXTEND

See Also:
  - Constant Field Values

### SCROLL_DOWN_CHANGE_LEAD

public static final String SCROLL_DOWN_CHANGE_LEAD

See Also:
  - Constant Field Values

### SELECT_ALL

public static final String SELECT_ALL

See Also:
  - Constant Field Values

### CLEAR_SELECTION

public static final String CLEAR_SELECTION

See Also:
  - Constant Field Values

### ADD_TO_SELECTION

public static final String ADD_TO_SELECTION

See Also:
  - Constant Field Values

### TOGGLE_AND_ANCHOR

public static final String TOGGLE_AND_ANCHOR

See Also:
  - Constant Field Values

### EXTEND_TO

public static final String EXTEND_TO

See Also:
  - Constant Field Values

### MOVE_SELECTION_TO

public static final String MOVE_SELECTION_TO

See Also:
  - Constant Field Values

## Constructor Details

### ListActions

protected ListActions()